import React, { FC } from 'react';
import { Result } from 'axe-core';
export declare type Selection = string[];
export interface AxeResults {
    violations: Result[];
    passes: Result[];
    incomplete: Result[];
}
export interface AxeContextProps {
    results: AxeResults;
}
export interface AxeSetContextProps {
    setResults: (value: AxeResults) => void;
}
export declare const AxeContext: React.Context<AxeContextProps>;
export declare const AxeSetContext: React.Context<AxeSetContextProps>;
export declare const AxeContextProvider: FC;
export declare const trimNode: (tag: string) => string;
export declare const useTaggedList: () => {
    [tag: string]: string[];
};
export interface SelectionContextProps {
    selection: string[];
    setSelection: (value: string[]) => void;
    isSelected: (targets: string[]) => boolean;
}
export declare const SelectionContext: React.Context<SelectionContextProps>;
export declare const SelectionContextProvider: FC;
export declare const useIsTagSelected: (tag?: string) => boolean;
export declare const tagSelectedList: (selection: string[], tags: string[], selected: boolean) => string[];
